CREATE TABLE cso_reputation_rew_queue (
    RECORD_ID                   VARCHAR2(128),
    DATE_ADDED                  TIMESTAMP(6)     NOT NULL,
    DATE_MODIFIED               TIMESTAMP(6)     NOT NULL,
    USER_ID                     VARCHAR2(128),
    IS_ADD                      CHAR(4)          NOT NULL,
    CALCULATED_POINTS           NUMBER       ,
    REWARD_MULTIPLIER_TYPE      NUMBER       ,
    POINTS_PER_REWARD           NUMBER       ,
    REWARD_TYPE                 NUMBER       ,
    TIMES_REWARDED              NUMBER       ,
    OPTIMISTIC_FAILURE_COUNT    NUMBER       ,
    OTHER_FAILURE_COUNT         NUMBER       ,
    USER_PARTY_ID               NUMBER(18, 0),
    RECORD_ID                   VARCHAR2(128),
    DATE_ADDED                  TIMESTAMP(6)     NOT NULL,
    DATE_MODIFIED               TIMESTAMP(6)     NOT NULL,
    USER_ID                     VARCHAR2(128),
    IS_ADD                      CHAR(4)          NOT NULL,
    CALCULATED_POINTS           NUMBER       ,
    REWARD_MULTIPLIER_TYPE      NUMBER       ,
    POINTS_PER_REWARD           NUMBER       ,
    REWARD_TYPE                 NUMBER       ,
    TIMES_REWARDED              NUMBER       ,
    OPTIMISTIC_FAILURE_COUNT    NUMBER       ,
    OTHER_FAILURE_COUNT         NUMBER       ,
    USER_PARTY_ID               NUMBER(18, 0),
    CONSTRAINT pk_cso_reputation_rew_queue PRIMARY KEY (RECORD_ID, RECORD_ID)
);
